### A free/open-source library for quantitative finance

Public Member Functions
Libor Class Reference

base class for all BBA LIBOR indexes but the EUR, O/N, and S/N ones More...

`#include <ql/indexes/ibor/libor.hpp>`

Inheritance diagram for Libor:
[legend]

List of all members.

## Public Member Functions

| Libor (const std::string &familyName, const Period &tenor, Natural settlementDays, const Currency &currency, const Calendar &financialCenterCalendar, const DayCounter &dayCounter, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
Date calculations
see http://www.bba.org.uk/bba/jsp/polopoly.jsp?d=225&a=1412
Date | valueDate (const Date &fixingDate) const
Date | maturityDate (const Date &valueDate) const
Other methods
boost::shared_ptr< IborIndex > | clone (const Handle< YieldTermStructure > &h) const
| returns a copy of itself linked to a different forwarding curve

## Detailed Description

base class for all BBA LIBOR indexes but the EUR, O/N, and S/N ones

LIBOR fixed by BBA.

See <http://www.bba.org.uk/bba/jsp/polopoly.jsp?d=225&a=1414>.